/*
 * ChaxLoader.m
 *
 * Copyright (c) 2006 Kent Sutherland
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 * Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#import "ChaxLoader.h"

@implementation ChaxLoader

+ (void)load
{
	if ([[[NSBundle mainBundle] bundleIdentifier] isEqualToString:@"com.apple.iChat"]) {
		long version;
		if ((Gestalt(gestaltSystemVersion, &version) == noErr) && (version > 4163) && (version < 4176)) {
			NSDictionary *infoDictionary = [[NSBundle mainBundle] infoDictionary];
			if (infoDictionary && [[infoDictionary objectForKey:@"CFBundleShortVersionString"] floatValue] > 3.0) {
				NSString *path = [[NSBundle bundleForClass:[self class]] pathForResource:@"Chax_main" ofType:@"bundle"];
				[[NSBundle bundleWithPath:path] load];
			} else {
				NSLog(@"Chax did not load. iChat 3.1 or greater is required. This version of Chax is not compatible with iChat 3.0.");
			}
		} else {
			NSLog(@"Chax did not load. This version of Chax supports Mac OS X 10.4.3 through 10.4.9, but is not compatible with Leopard (Mac OS X 10.5).");
		}
	}
}

+ (id)alloc
{
	return nil;
}

@end
