/*
 * HaxChatTextView.m
 *
 * Copyright (c) 2006 Kent Sutherland
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 * Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#import "HaxChatTextView.h"
#import "LogViewerController.h"
#import "Chax.h"
#import "TabbedChatController.h"
#import "HaxChatController.h"

@implementation HaxChatTextView

/*- (NSMenu *)menu
{
	NSMenu *menu = [super menu];
	if ([menu numberOfItems] == 10 && [[menu itemAtIndex:0] tag] != 13390) {
		id <NSMenuItem> item = [menu insertItemWithTitle:LocalizedString(@"move_to_tab") action:@selector(moveWindowToTab:) keyEquivalent:@"" atIndex:0];
		[item setRepresentedObject:[[[self chat] chatDoc] controller]];
		[item setTarget:[TabbedChatController sharedController]];
		[item setTag:13390];
	}
	return menu;
}*/

- (void)insertText:(id)fp8
{
	if ([self window] == [[LogViewerController sharedController] window]) {
		return;
	}
	
	if ([[[[self chat] chatDoc] controller] isTab]) {
		[[self window] makeFirstResponder:[[[[self chat] chatDoc] controller] inputLine]];
	}
	
	[super insertText:fp8];
}

- (id)formatDate:(id)fp8 roundInterval:(int)fp12 longFormat:(BOOL)fp16
{
	id format;
	
	if ([Chax boolForKey:@"ForceLongFormat"]) {
		format = [super formatDate:fp8 roundInterval:fp12 longFormat:1];
	} else {
		format = [super formatDate:fp8 roundInterval:fp12 longFormat:fp16];
	}
	
	return format;
}

@end
