/*
 * HaxTabViewItem.m
 *
 * Copyright (c) 2006 Kent Sutherland
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 * Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#import "HaxTabViewItem.h"
#import "iChat.h"
#import "Chax.h"

@implementation HaxTabViewItem

- (id)initWithIdentifier:(id)identifier
{
	if ( (self = [super initWithIdentifier:identifier]) ) {
		_chatStatus = 0;
	}
	return self;
}

/*- (void)dealloc
{
	[_image release];
	[super dealloc];
}

- (void)drawLabel:(BOOL)shouldTruncateLabel inRect:(NSRect)tabRect
{
	NSColor *color;
	switch ([self chatStatus]) {
		case 0:
			color = [NSColor blackColor];
			break;
		case 1:
			color = [NSColor redColor];
			break;
		case 2:
			color = [NSColor colorWithCalibratedRed:0.0 green:0.5 blue:0.0 alpha:1.0];
			break;
	}
	
	//Draw the user icon
	NSImage *image = [[[[[self identifier] chat] otherPerson] picture] image];
	
	if (image != nil) {
		NSSize size = [image size];
		BOOL flipped = [image isFlipped];
		
		[image setFlipped:[[self tabView] isFlipped]];
		[image drawInRect:NSMakeRect(tabRect.origin.x, tabRect.origin.y + 1, 12, 12) fromRect:NSMakeRect(0, 0, size.width, size.height) operation:NSCompositeSourceOver fraction:1.0];
		
		[image setFlipped:flipped];
		
		tabRect.origin.x += 15;
		tabRect.size.width -= 13;
	} else {
		tabRect.origin.x++;
	}
	
	[[self label] drawInRect:tabRect withAttributes:[NSDictionary dictionaryWithObjectsAndKeys:color, NSForegroundColorAttributeName, [NSFont fontWithName:@"LucidaGrande" size:11], NSFontAttributeName, nil, nil]];
}

- (NSSize)sizeOfLabel:(BOOL)shouldTruncateLabel
{
	NSSize size = [super sizeOfLabel:shouldTruncateLabel];
	
	if ([[[[[self identifier] chat] otherPerson] picture] image] != nil) {
		size.width += 13;
	}
	
	return size;
}

- (void)setImage:(NSImage *)image
{
	[_image release];
	_image = [image retain];
}*/

- (NSString *)label
{
	NSString *label = [[[self identifier] chat] _otherPersonOrChatroom];
	
	if (label == nil) {
		label = LocalizedString(@"empty_chat");
	}
	
	return label;
}

- (void)setChatStatus:(int)newStatus
{
	_chatStatus = newStatus;
	[[self tabView] setNeedsDisplay:YES];
}

- (int)chatStatus
{
	return _chatStatus;
}

@end
