/*
 * Hax_ActionsController.m
 *
 * Copyright (c) 2006 Kent Sutherland
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 * Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#import "MethodSwizzle.h"
#import "iChat.h"
#import "Chax.h"

@implementation ActionsController (Hax_hax_hax)

+ (void)load
{
	MethodSwizzleClass([self class], @selector(_playSoundFromFile:repeat:), @selector(hax_playSoundFromFile:repeat:));
}

+ (void)hax_playSoundFromFile:(id)fp8 repeat:(BOOL)fp12
{
	int status = [Service myStatus];
	if (([Chax boolForKey:@"DisableSoundWhenAway"] && status == 3) ||
			([Chax boolForKey:@"DisableSoundWhenIdle"] && status == 2) ||
			([Chax boolForKey:@"DisableSoundWhenAvailable"] && status == 4)) {
		return;
	}
	[self hax_playSoundFromFile:fp8 repeat:fp12];
}

@end
