/*
 * Hax_ChatDocWindowController.m
 *
 * Copyright (c) 2006 Kent Sutherland
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 * Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#import "iChat.h"
#import "Chax.h"
#import "HaxChatController.h"
#import "MethodSwizzle.h"
#import "TabbedChatController.h"

@implementation ChatDocWindowController (Hax_hax_hax)

+ (void)load
{
	MethodSwizzle([self class], @selector(hax_placeFileTransferPanel:), @selector(placeFileTransferPanel:));
}

- (void)hax_placeFileTransferPanel:(id)fp8
{
	[self hax_placeFileTransferPanel:fp8];
	
	//if we're tabbed, move the file transfer window to be right over the tab window and force it to the front
	if ([[[[self window] delegate] controller] isTab]) {
		NSRect tabFrame = [[[TabbedChatController sharedController] window] frame];
		tabFrame.origin.x += 50;
		tabFrame.origin.y += tabFrame.size.height - 50;
		[fp8 setFrameTopLeftPoint:tabFrame.origin];
		[fp8 performSelector:@selector(makeKeyAndOrderFront:) withObject:nil afterDelay:0];
	}
}

@end

/*@implementation FileProgress (Hax_hax_hax)

+ (void)load
{
	//MethodSwizzleClass([self class], @selector(hax_openOnOutgoingFile:sender:chat:), @selector(openOnOutgoingFile:sender:chat:));
	//MethodSwizzleClass([self class], @selector(hax_openOnIncomingFile:sender:chat:), @selector(openOnIncomingFile:sender:chat:));
	//MethodSwizzleClass([self class], @selector(hax_openOnIncomingFile:sender:action:), @selector(openOnIncomingFile:sender:action:));
}

+ (id)hax_openOnOutgoingFile:(id)fp8 sender:(id)fp12 chat:(id)fp16
{
	id progress = [self hax_openOnOutgoingFile:fp8 sender:fp12 chat:fp16];
	
	if ([[[fp16 chatDoc] controller] isTab]) {
		[[progress window] performSelector:@selector(makeKeyAndOrderFront:) withObject:self afterDelay:0.0];
	}
	
	return progress;
}

+ (id)hax_openOnIncomingFile:(id)fp8 sender:(id)fp12 chat:(id)fp16
{
	id progress = [self hax_openOnIncomingFile:fp8 sender:fp12 chat:fp16];
	
	if ([[[fp16 chatDoc] controller] isTab]) {
		[[progress window] performSelector:@selector(makeKeyAndOrderFront:) withObject:self afterDelay:0.0];
	}
	
	return progress;
}

@end*/
