/*
 * Hax_ChatInputLineCell.m
 *
 * Copyright (c) 2006 Kent Sutherland
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 * Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#import "iChat.h"
#import "Chax.h"
#import "MethodSwizzle.h"

@implementation ChatInputLineCell (Hax_hax_hax)

+ (void)load
{
	MethodSwizzle([self class], @selector(hax_drawFocusRingWithFrame:), @selector(_drawFocusRingWithFrame:));
}

- (void)hax_drawFocusRingWithFrame:(struct _NSRect)fp8
{
	if (![Chax boolForKey:@"DisableFocusRing"] && (![Chax boolForKey:@"EnableTabs"] || [NSApp isActive])) {
		[self hax_drawFocusRingWithFrame:fp8];
	}
}

@end
