/*
 * Hax_ChooseBuddyButton.m
 *
 * Copyright (c) 2006 Kent Sutherland
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 * Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#import "iChat.h"
#import "Chax.h"
#import "MethodSwizzle.h"
#import "TabbedChatController.h"

@implementation ChooseBuddyButton (Hax_hax_hax)

+ (void)load
{
	MethodSwizzle([self class], @selector(hax_chooseCustomID:), @selector(chooseCustomID:));
}

- (void)hax_chooseCustomID:(id)fp8
{
	if ([Chax boolForKey:@"EnableTabs"]) {
		[self performSelector:@selector(chooseCustomID_tab) withObject:nil afterDelay:0.0];
	} else {
		[self hax_chooseCustomID:fp8];
	}
}

- (void)chooseCustomID_tab
{
	[NSApp beginSheet:_customIDSheet modalForWindow:[[TabbedChatController sharedController] window] modalDelegate:self didEndSelector:@selector(_chooseIDDidEndTab:returnCode:contextInfo:) contextInfo:NULL];
}

- (void)_chooseIDDidEndTab:(id)fp8 returnCode:(int)fp12 contextInfo:(void *)fp16
{
	[self _chooseIDDidEnd:fp8 returnCode:fp12 contextInfo:fp16];
	[[TabbedChatController sharedController] reloadLabels];
}

@end
