/*
 * Hax_NSPrintPanel.m
 *
 * Copyright (c) 2006 Kent Sutherland
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 * Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#import "MethodSwizzle.h"
#import "iChat.h"
#import "HaxChatController.h"
#import "Chax.h"
#import "TabbedChatController.h"

@implementation NSPrintPanel (Hax_hax_hax)

+ (void)load
{
	MethodSwizzle([self class], @selector(beginSheetWithPrintInfo:modalForWindow:delegate:didEndSelector:contextInfo:), @selector(hax_beginSheetWithPrintInfo:modalForWindow:delegate:didEndSelector:contextInfo:));
}

- (void)hax_beginSheetWithPrintInfo:(NSPrintInfo *)printInfo modalForWindow:(NSWindow *)docWindow delegate:(id)modalDelegate didEndSelector:(SEL)didEndSelector contextInfo:(void *)contextInfo
{
	if ([docWindow delegate] && [[docWindow delegate] isKindOfClass:[ChatDoc class]] && [[[docWindow delegate] controller] isTab]) {
		docWindow = [[TabbedChatController sharedController] windowForChatController:[[docWindow delegate] controller]];
	}
	
	[self hax_beginSheetWithPrintInfo:printInfo modalForWindow:docWindow delegate:modalDelegate didEndSelector:didEndSelector contextInfo:contextInfo];
}

@end
