/*
 * Hax_People.m
 *
 * Copyright (c) 2006 Kent Sutherland
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 * Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#import "iChat.h"
#import "Chax.h"
#import "MethodSwizzle.h"
#import "TabbedChatController.h"
#import "HaxChatController.h"

@implementation People (Hax_hax_hax)

+ (void)load
{
	MethodSwizzleClass([self class], @selector(hax_blockPersonWithPresentity:inWindow:), @selector(blockPersonWithPresentity:inWindow:));
	MethodSwizzleClass([self class], @selector(hax_retitleAddBuddyItem:forPresentity:), @selector(retitleAddBuddyItem:forPresentity:));
}

+ (BOOL)hax_blockPersonWithPresentity:(id)fp8 inWindow:(id)fp12
{
	return [self hax_blockPersonWithPresentity:fp8 inWindow:(([[fp12 delegate] isKindOfClass:[ChatDoc class]] && [[[fp12 delegate] controller] isTab]) ? [[TabbedChatController sharedController] windowForChatController:[[fp12 delegate] controller]] : fp12)];
}

@end
