/*
 * install_tool.m
 *
 * Copyright (c) 2006 Kent Sutherland
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 * Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#import <Cocoa/Cocoa.h>
#import <Foundation/Foundation.h>
#import <stdio.h>

int main(int argc, const char *argv[])
{
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	NSString *location;
	
	if (argc != 4) {
		exit(1);
	}
	
	switch (argv[2][0]) {
		case 'w':
			{
				NSString *bundlePath = [[NSString stringWithUTF8String:argv[0]] stringByDeletingLastPathComponent];
				NSString *basePath = (argv[1][0] == 'l') ? @"/Library/InputManagers/Chax" : [@"~/Library/InputManagers/Chax" stringByExpandingTildeInPath];
				BOOL isDir;
				
				if (![[NSFileManager defaultManager] fileExistsAtPath:[basePath stringByDeletingLastPathComponent] isDirectory:&isDir]) {
					if (![[NSFileManager defaultManager] createDirectoryAtPath:[basePath stringByDeletingLastPathComponent] attributes:nil]) {
						//Big error 2
					}
				} else if (!isDir) {
					//Big error 3
				}
				
				if (![[NSFileManager defaultManager] copyPath:[bundlePath stringByAppendingPathComponent:@"Chax"] toPath:basePath handler:nil]) {
					//Big error 1
				}
			}
			break;
		case 'd':
			//Delete
			location = (argv[1][0] == 'l') ? @"/Library/InputManagers/Chax" : [@"~/Library/InputManagers/Chax" stringByExpandingTildeInPath];
			[[NSFileManager defaultManager] removeFileAtPath:location handler:nil];
			break;
	}
    
    [pool release];
    return 0;
}