/*
 * LogViewerController.h
 *
 * Copyright (c) 2006 Kent Sutherland
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the
 * Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#import <Cocoa/Cocoa.h>
#import "iChat.h"

@interface LogViewerController : NSWindowController
{
	IBOutlet ChatTextView *_chatTextView;
    IBOutlet NSTableView *_logTableView;
	IBOutlet NSTableView *_personTableView;
	IBOutlet NSProgressIndicator *_resetProgressIndicator;
	IBOutlet NSTextField *_resetTextField;
	IBOutlet NSWindow *_resetWindow;
	
	NSToolbar *_toolbar;
	NSSearchField *_searchField;
	NSMetadataQuery *_query;
	
	NSString *_languageSeparator;
	NSMutableArray *_keys, *_searchKeys;
	NSMutableDictionary *_logs, *_searchResults;
	
	BOOL _badDate, _ignoreDates, _firstLoadComplete;
}
+ (LogViewerController *)sharedController;
- (void)showLogsForPresentity:(Presentity *)presentity;
- (void)reloadLogs;
- (void)createLogStructureFromEnumerator:(NSEnumerator *)enumerator inKeys:(NSMutableArray *)keys inLogs:(NSMutableDictionary *)logs;

- (void)resetLogModificationDates;
@end
